Bug 830905 - RFE: pcs status xml output
RFE: pcs status xml output
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Chris Feist
Cluster QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 11:45 EDT by Jaroslav Kortus
Modified: 2014-06-17 19:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: pcs-0.9.5-4.el7.noarch
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:41:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2012-06-11 11:45:24 EDT
Description of problem:
It would be great to have pcs status output in XML so it's easily parsable by other utils.

I suggest doing it similarly to what I requested for pacemaker+crm in bug 754216.
Maybe with --inactive as default (so we can see all resources no matter if they are stopped or disabled), which was a change that got rejected due to changing default behaviour of crm.
Comment 1 Chris Feist 2012-06-11 18:12:37 EDT
Before fix:


[root@rh7-2 ~]# pcs status xml

Usage: pcs status [commands]...
View current cluster and resource status
Commands:
    status
        View all information about the cluster and resources
...

After fix:


[root@rh7-1 pcs]# pcs status xml
<?xml version="1.0"?>
<crm_mon version="1.1.7-2.el7">
    <summary>
        <last_update time="Mon Jun 11 17:11:59 2012" />
        <last_change time="Mon Jun 11 17:11:25 2012" user="" client="crmd" origin="rh7-1" />
        <stack type="corosync" />
        <current_dc present="true" version="1.1.7-2.el7-ee0730e13d124c3d58f00016c3376a1de5323cff" name="rh7-1" id="1" with_quorum="false" />
        <nodes_configured number="3" expected_votes="unknown" />
        <resources_configured number="3" />
...
Comment 5 Ludek Smid 2014-06-13 08:41:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.